unit H_PDFPages1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;


type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Edit2: TEdit;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

function GetPDFTitle(const FileName: PChar): PChar; stdcall;
function GetPDFSubject(const FileName: PChar): PChar; stdcall;
function GetPDFAuthor(const FileName: PChar): PChar; stdcall;
function GetPDFCreator(const FileName: PChar): PChar; stdcall;
function GetPDFCreatedWith(const FileName: PChar): PChar; stdcall;
function GetPDFKeywords(const FileName: PChar): PChar; stdcall;
function GetPDFVersion(const FileName: PChar): PChar; stdcall;
function GetPDFCreDateTime(const FileName: PChar): PChar; stdcall;
function GetPDFModDateTime(const FileName: PChar): PChar; stdcall;

implementation

{$R *.DFM}

function GetPDFTitle(const FileName: PChar): PChar; stdcall;
external 'PDFdocuments.dll';
function GetPDFSubject(const FileName: PChar): PChar; stdcall;
external 'PDFdocuments.dll';
function GetPDFAuthor(const FileName: PChar): PChar; stdcall;
external 'PDFdocuments.dll';
function GetPDFCreator(const FileName: PChar): PChar; stdcall;
external 'PDFdocuments.dll';
function GetPDFCreatedWith(const FileName: PChar): PChar; stdcall;
external 'PDFdocuments.dll';
function GetPDFKeywords(const FileName: PChar): PChar; stdcall;
external 'PDFdocuments.dll';
function GetPDFVersion(const FileName: PChar): PChar; stdcall;
external 'PDFdocuments.dll';
function GetPDFCreDateTime(const FileName: PChar): PChar; stdcall;
external 'PDFdocuments.dll';
function GetPDFModDateTime(const FileName: PChar): PChar; stdcall;
external 'PDFdocuments.dll';

procedure TForm1.Button1Click(Sender: TObject);
begin
     If OpenDialog1.Execute Then
       begin
        Edit1.Text := OpenDialog1.FileName;
       end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var s : LongInt;
    str : String;
begin

     Edit2.Text := GetPDFTitle(PChar(Edit1.Text));
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
     Edit2.Text := GetPDFSubject(PChar(Edit1.Text));

end;

procedure TForm1.Button5Click(Sender: TObject);
begin
     Edit2.Text := GetPDFAuthor(PChar(Edit1.Text));

end;

procedure TForm1.Button6Click(Sender: TObject);
begin
     Edit2.Text := GetPDFCreator(PChar(Edit1.Text));

end;

procedure TForm1.Button7Click(Sender: TObject);
begin
     Edit2.Text := GetPDFCreatedWith(PChar(Edit1.Text));

end;

procedure TForm1.Button8Click(Sender: TObject);
begin
     Edit2.Text := GetPDFKeywords(PChar(Edit1.Text));

end;

procedure TForm1.Button3Click(Sender: TObject);
begin
     Edit2.Text := GetPDFVersion(PChar(Edit1.Text));

end;

procedure TForm1.Button9Click(Sender: TObject);
begin
     Edit2.Text := GetPDFCreDateTime(PChar(Edit1.Text));

end;

procedure TForm1.Button10Click(Sender: TObject);
begin
     Edit2.Text := GetPDFModDateTime(PChar(Edit1.Text));

end;

end.

